Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h	(revision 10768)
@@ -48,5 +48,5 @@
             virtual bool playerChangedName(PlayerInfo* player);
 
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
             virtual void playerScored(PlayerInfo* player, int score = 1);
        protected:
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc	(revision 10768)
@@ -277,5 +277,5 @@
         }
 
-        return 0;
+        return nullptr;
     }
 
@@ -340,5 +340,5 @@
         ControllableEntity* entity = orxonox_cast<ControllableEntity*>(pawn);
 
-        Controller* controller = 0;
+        Controller* controller = nullptr;
         if (entity->getController())
             controller = entity->getController();
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h	(revision 10768)
@@ -51,7 +51,7 @@
             virtual void spawnDeadPlayersIfRequested(); //!< Prevents players to respawn.
 
-            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0);
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
 
             virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn);
Index: code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10768)
@@ -48,5 +48,5 @@
         this->gameTime_ = 180;
         this->teams_ = 2;
-        this->destroyer_ = 0;
+        this->destroyer_ = nullptr;
         this->destroyer_.setCallback(createFunctor(&UnderAttack::killedDestroyer, this));
         this->gameEnded_ = false;
@@ -202,5 +202,5 @@
     void UnderAttack::setTransporterHealth()
     {
-        if (this->destroyer_ != 0)
+        if (this->destroyer_ != nullptr)
         {
             //Calculation: Each attacker deals about 3500 damage. A human attacker deals 1500 damage additionally.
Index: code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h	(revision 10768)
@@ -48,7 +48,7 @@
                 { return this->destroyer_; }
 
-            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0);
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
             virtual void playerEntered(PlayerInfo* player);
 
Index: code/branches/cpp11_v2/src/orxonox/graphics/Backlight.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Backlight.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Backlight.cc	(revision 10768)
@@ -51,6 +51,6 @@
         RegisterObject(Backlight);
 
-        this->ribbonTrail_ = 0;
-        this->ribbonTrailNode_ = 0;
+        this->ribbonTrail_ = nullptr;
+        this->ribbonTrailNode_ = nullptr;
 
         this->width_ = 0;
Index: code/branches/cpp11_v2/src/orxonox/graphics/Light.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Light.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Light.cc	(revision 10768)
@@ -53,5 +53,5 @@
         RegisterObject(Light);
 
-        this->light_ = 0;
+        this->light_ = nullptr;
         this->diffuse_ = ColourValue::White;
         this->specular_ = ColourValue::White;
Index: code/branches/cpp11_v2/src/orxonox/graphics/Model.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Model.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Model.cc	(revision 10768)
@@ -134,5 +134,5 @@
             Level* level = this->getLevel();
 
-            assert( level != 0 );
+            assert( level != nullptr );
 
             MeshLodInformation* lodInfo = level->getLodInfo(this->meshSrc_);
Index: code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.cc	(revision 10768)
@@ -52,5 +52,5 @@
             ThrowException(AbortLoading, "Can't create ParticleEmitter, no scene or no scene manager given.");
 
-        this->particles_ = 0;
+        this->particles_ = nullptr;
         this->LOD_ = LODParticle::Normal;
 
@@ -102,5 +102,5 @@
         {
             delete this->particles_;
-            this->particles_ = 0;
+            this->particles_ = nullptr;
         }
 
Index: code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.cc	(revision 10768)
@@ -53,6 +53,6 @@
         this->defaultController_ = Class(NewHumanController);
 
-        this->humanHud_ = 0;
-        this->gametypeHud_ = 0;
+        this->humanHud_ = nullptr;
+        this->gametypeHud_ = nullptr;
 
         this->setConfigValues();
@@ -178,5 +178,5 @@
         {
             this->humanHud_->destroy();
-            this->humanHud_ = 0;
+            this->humanHud_ = nullptr;
         }
 
@@ -194,5 +194,5 @@
         {
             this->gametypeHud_->destroy();
-            this->gametypeHud_ = 0;
+            this->gametypeHud_ = nullptr;
         }
 
Index: code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.cc	(revision 10768)
@@ -51,9 +51,9 @@
         this->bReadyToSpawn_ = false;
         this->bSetUnreadyAfterSpawn_ = true;
-        this->controller_ = 0;
-        this->controllableEntity_ = 0;
+        this->controller_ = nullptr;
+        this->controllableEntity_ = nullptr;
         this->controllableEntityID_ = OBJECTID_UNKNOWN;
 
-        this->gtinfo_ = 0;
+        this->gtinfo_ = nullptr;
         this->gtinfoID_ = OBJECTID_UNKNOWN;
         this->updateGametypeInfo(this->getGametype());
@@ -72,5 +72,5 @@
             {
                 this->controller_->destroy();
-                this->controller_ = 0;
+                this->controller_ = nullptr;
             }
 
@@ -126,5 +126,5 @@
     void PlayerInfo::updateGametypeInfo(Gametype* gametype)
     {
-        this->gtinfo_ = 0;
+        this->gtinfo_ = nullptr;
         this->gtinfoID_ = OBJECTID_UNKNOWN;
 
@@ -141,5 +141,5 @@
         {
             this->controller_->destroy();
-            this->controller_ = 0;
+            this->controller_ = nullptr;
         }
         this->controller_ = this->defaultController_.fabricate(this->getContext());
@@ -214,10 +214,10 @@
             return;
 
-        this->controllableEntity_->setController(0);
-        this->controllableEntity_ = 0;
+        this->controllableEntity_->setController(nullptr);
+        this->controllableEntity_ = nullptr;
         this->controllableEntityID_ = OBJECTID_UNKNOWN;
 
         if (this->controller_)
-            this->controller_->setControllableEntity(0);
+            this->controller_->setControllableEntity(nullptr);
 
         if ( GameMode::isMaster() )
@@ -242,5 +242,5 @@
         tmp->setActive(false);
         //this->controllableEntity_->getController()->setControllableEntity(nullptr);
-        this->controllableEntity_->setController(0);
+        this->controllableEntity_->setController(nullptr);
     }
 
@@ -253,5 +253,5 @@
             return;
 
-        this->controllableEntity_->setController(0);
+        this->controllableEntity_->setController(nullptr);
         if(this->isHumanPlayer()) // TODO: Multiplayer?
             this->controllableEntity_->destroyHud(); // HACK-ish
Index: code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.h	(revision 10768)
@@ -66,5 +66,5 @@
                 if (name == "HIDDEN")
                 {
-                    this->bVisibility_ = 0;
+                    this->bVisibility_ = false;
                     this->settingsChanged();
                 }
Index: code/branches/cpp11_v2/src/orxonox/items/Engine.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/items/Engine.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/items/Engine.cc	(revision 10768)
@@ -50,5 +50,5 @@
         RegisterObject(Engine);
 
-        this->ship_ = 0;
+        this->ship_ = nullptr;
         this->shipID_ = OBJECTID_UNKNOWN;
         this->relativePosition_ = Vector3::ZERO;
@@ -136,5 +136,5 @@
     void Engine::networkcallback_shipID()
     {
-        this->ship_ = 0;
+        this->ship_ = nullptr;
 
         if (this->shipID_ != OBJECTID_UNKNOWN)
Index: code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc	(revision 10768)
@@ -67,7 +67,7 @@
         else
         {
-            this->defEngineSndBoost_ = 0;
-            this->defEngineSndNormal_ = 0;
-            this->lua_ = 0;
+            this->defEngineSndBoost_ = nullptr;
+            this->defEngineSndNormal_ = nullptr;
+            this->lua_ = nullptr;
         }
         this->state_ = 0;
Index: code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.cc	(revision 10768)
@@ -75,11 +75,11 @@
         : shell_(new Shell("InGameConsole", true))
         , bShowCursor_(false)
-        , consoleOverlay_(0)
-        , consoleOverlayContainer_(0)
-        , consoleOverlayNoise_(0)
-        , consoleOverlayCursor_(0)
-        , consoleOverlayBorder_(0)
-        , consoleOverlayTextAreas_(0)
-        , inputState_(0)
+        , consoleOverlay_(nullptr)
+        , consoleOverlayContainer_(nullptr)
+        , consoleOverlayNoise_(nullptr)
+        , consoleOverlayCursor_(nullptr)
+        , consoleOverlayBorder_(nullptr)
+        , consoleOverlayTextAreas_(nullptr)
+        , inputState_(nullptr)
     {
         RegisterObject(InGameConsole);
@@ -130,5 +130,5 @@
                     if (this->consoleOverlayTextAreas_[i])
                         Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->consoleOverlayTextAreas_[i]);
-                    this->consoleOverlayTextAreas_[i] = 0;
+                    this->consoleOverlayTextAreas_[i] = nullptr;
                 }
 
@@ -140,5 +140,5 @@
         {
             delete[] this->consoleOverlayTextAreas_;
-            this->consoleOverlayTextAreas_ = 0;
+            this->consoleOverlayTextAreas_ = nullptr;
         }
 
@@ -175,6 +175,6 @@
             else
             {
-                inputState_->setMouseHandler(0);
-                inputState_->setJoyStickHandler(0);
+                inputState_->setMouseHandler(nullptr);
+                inputState_->setJoyStickHandler(nullptr);
             }
         }
Index: code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 10768)
@@ -70,6 +70,6 @@
         RegisterObject(OrxonoxOverlay);
 
-        this->owner_ = 0;
-        this->group_ = 0;
+        this->owner_ = nullptr;
+        this->group_ = nullptr;
 
         if (!GameMode::showsGraphics())
Index: code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc	(revision 10768)
@@ -54,5 +54,5 @@
         RegisterObject(OverlayGroup);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         setScale(Vector2(1.0, 1.0));
@@ -139,5 +139,5 @@
         }
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10768)
@@ -65,5 +65,5 @@
             // For separated magazines we definitively need a given user
             if (!user)
-                return 0;
+                return nullptr;
 
             // Use the map to get the magazine assigned to the given user
@@ -79,5 +79,5 @@
         }
 
-        return 0;
+        return nullptr;
     }
 
@@ -236,5 +236,5 @@
         // If we don't use separate magazines, set user to 0
         if (!this->bUseSeparateMagazines_)
-            user = 0;
+            user = nullptr;
 
         // Remove the current magazine for the given user
@@ -442,5 +442,5 @@
         // If we don't use separate magazines, set user to 0
         if (!this->bUseSeparateMagazines_)
-            user = 0;
+            user = nullptr;
 
         // Remove the current magazine for the given user
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10768)
@@ -45,6 +45,6 @@
         RegisterObject(Weapon);
 
-        this->weaponPack_ = 0;
-        this->weaponSlot_ = 0;
+        this->weaponPack_ = nullptr;
+        this->weaponSlot_ = nullptr;
         this->bReloading_ = false;
         this->reloadingWeaponmode_ = WeaponSystem::WEAPON_MODE_UNASSIGNED;
@@ -92,5 +92,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 10768)
@@ -51,8 +51,8 @@
         RegisterObject(WeaponMode);
 
-        this->weapon_ = 0;
+        this->weapon_ = nullptr;
         this->mode_ = WeaponSystem::WEAPON_MODE_UNASSIGNED;
 
-        this->munition_ = 0;
+        this->munition_ = nullptr;
         this->initialMunition_ = 0;
         this->initialMagazines_ = 0;
@@ -232,5 +232,5 @@
         }
         else
-            this->munition_ = 0;
+            this->munition_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10768)
@@ -44,5 +44,5 @@
         RegisterObject(WeaponPack);
 
-        this->weaponSystem_ = 0;
+        this->weaponSystem_ = nullptr;
     }
 
@@ -107,5 +107,5 @@
         assert(it != this->weapons_.end());
         this->weapons_.erase(it);
-        weapon->setWeaponPack(0);
+        weapon->setWeaponPack(nullptr);
     }
 
@@ -121,5 +121,5 @@
         }
 
-        return 0;
+        return nullptr;
     }
 
@@ -139,5 +139,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10768)
@@ -43,5 +43,5 @@
         RegisterObject(WeaponSet);
 
-        this->weaponSystem_ = 0;
+        this->weaponSystem_ = nullptr;
         this->desiredFiremode_ = WeaponSystem::FIRE_MODE_UNASSIGNED;
     }
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.cc	(revision 10768)
@@ -43,6 +43,6 @@
         RegisterObject(WeaponSlot);
 
-        this->weaponSystem_ = 0;
-        this->weapon_ = 0;
+        this->weaponSystem_ = nullptr;
+        this->weapon_ = nullptr;
 
         this->setSyncMode(ObjectDirection::None);
@@ -88,6 +88,6 @@
         if (this->weapon_)
         {
-            this->weapon_->setWeaponSlot(0);
-            this->weapon_ = 0;
+            this->weapon_->setWeaponSlot(nullptr);
+            this->weapon_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h	(revision 10768)
@@ -74,5 +74,5 @@
             */
             inline bool isOccupied() const
-                { return (this->weapon_ != 0); }
+                { return (this->weapon_ != nullptr); }
 
             inline void setWeaponSystem(WeaponSystem * weaponSystem)
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10768)
@@ -52,5 +52,5 @@
         RegisterObject(WeaponSystem);
 
-        this->pawn_ = 0;
+        this->pawn_ = nullptr;
     }
 
@@ -60,5 +60,5 @@
         {
             if (this->pawn_)
-                this->pawn_->setWeaponSystem(0);
+                this->pawn_->setWeaponSystem(nullptr);
 
             while (!this->weaponSets_.empty())
@@ -112,5 +112,5 @@
                 return (*it);
         }
-        return 0;
+        return nullptr;
     }
 
@@ -159,5 +159,5 @@
                 return it->second;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -213,5 +213,5 @@
         // Remove all weapons from their WeaponSlot
         unsigned int i = 0;
-        Weapon* weapon = 0;
+        Weapon* weapon = nullptr;
         while ((weapon = wPack->getWeapon(i++)))
             if (weapon->getWeaponSlot())
@@ -237,5 +237,5 @@
                 return (*it);
         }
-        return 0;
+        return nullptr;
     }
 
@@ -303,5 +303,5 @@
     {
         if (!identifier || !identifier->getIdentifier())
-            return 0;
+            return nullptr;
 
         std::map<Identifier *, Munition *>::iterator it = this->munitions_.find(identifier->getIdentifier());
@@ -318,5 +318,5 @@
         else
         {
-            return 0;
+            return nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/BigExplosion.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/BigExplosion.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/BigExplosion.cc	(revision 10768)
@@ -204,16 +204,16 @@
     void BigExplosion::initZero()
     {
-        this->debrisFire1_ = 0;
-        this->debrisFire2_ = 0;
-        this->debrisFire3_ = 0;
-        this->debrisFire4_ = 0;
-
-        this->debrisSmoke1_ = 0;
-        this->debrisSmoke2_ = 0;
-        this->debrisSmoke3_ = 0;
-        this->debrisSmoke4_ = 0;
-
-        this->explosionSmoke_=0;
-        this->explosionFire_=0;
+        this->debrisFire1_ = nullptr;
+        this->debrisFire2_ = nullptr;
+        this->debrisFire3_ = nullptr;
+        this->debrisFire4_ = nullptr;
+
+        this->debrisSmoke1_ = nullptr;
+        this->debrisSmoke2_ = nullptr;
+        this->debrisSmoke3_ = nullptr;
+        this->debrisSmoke4_ = nullptr;
+
+        this->explosionSmoke_=nullptr;
+        this->explosionFire_=nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc	(revision 10768)
@@ -61,15 +61,15 @@
         this->server_overwrite_ = 0;
         this->client_overwrite_ = 0;
-        this->player_ = 0;
+        this->player_ = nullptr;
         this->formerPlayer_ = nullptr;
         this->playerID_ = OBJECTID_UNKNOWN;
-        this->hud_ = 0;
-        this->camera_ = 0;
-        this->xmlcontroller_ = 0;
-        //this->controller_ = 0;
-        this->reverseCamera_ = 0;
+        this->hud_ = nullptr;
+        this->camera_ = nullptr;
+        this->xmlcontroller_ = nullptr;
+        //this->controller_ = nullptr;
+        this->reverseCamera_ = nullptr;
         this->bDestroyWhenPlayerLeft_ = false;
         this->cameraPositionRootNode_ = this->node_->createChildSceneNode();
-        this->currentCameraPosition_ = 0;
+        this->currentCameraPosition_ = nullptr;
         this->bMouseLook_ = false;
         this->mouseLookSpeed_ = 200;
@@ -171,5 +171,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -241,5 +241,5 @@
             {
                 this->camera_->attachToNode(this->cameraPositionRootNode_);
-                this->currentCameraPosition_ = 0;
+                this->currentCameraPosition_ = nullptr;
             }
 
@@ -321,5 +321,5 @@
         if ( !GameMode::isMaster() )
         {
-            if ( target != 0 )
+            if ( target != nullptr )
             {
                 callMemberNetworkFunction(&ControllableEntity::setTargetInternal, this->getObjectID(), 0, target->getObjectID() );
@@ -372,5 +372,5 @@
             this->stopLocalHumanControl();
 
-        this->player_ = 0;
+        this->player_ = nullptr;
         this->playerID_ = OBJECTID_UNKNOWN;
         this->bHasLocalController_ = false;
@@ -411,5 +411,5 @@
             {
                 this->camera_->attachToNode(this->cameraPositionRootNode_);
-                this->currentCameraPosition_ = 0;
+                this->currentCameraPosition_ = nullptr;
             }
         }
@@ -447,5 +447,5 @@
             this->camera_->detachFromParent();
             this->camera_->destroy();
-            this->camera_ = 0;
+            this->camera_ = nullptr;
         }
 
@@ -453,5 +453,5 @@
         {
             this->hud_->destroy();
-            this->hud_ = 0;
+            this->hud_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/Drone.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/Drone.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/Drone.cc	(revision 10768)
@@ -43,5 +43,5 @@
         RegisterObject(Drone);
 
-        this->myController_ = 0;
+        this->myController_ = nullptr;
 
         this->localLinearAcceleration_.setValue(0, 0, 0);
Index: code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.cc	(revision 10768)
@@ -62,12 +62,12 @@
             {
                 orxout(internal_error) << "Couldn't load particle effect in ExplosionChunk: " << ex.what() << endl;
-                this->fire_ = 0;
-                this->smoke_ = 0;
+                this->fire_ = nullptr;
+                this->smoke_ = nullptr;
             }
         }
         else
         {
-            this->fire_ = 0;
-            this->smoke_ = 0;
+            this->fire_ = nullptr;
+            this->smoke_ = nullptr;
         }
 
Index: code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.cc	(revision 10768)
@@ -50,5 +50,5 @@
         this->overwrite_orientation_ = Quaternion::IDENTITY;
 
-        this->continuousResynchroTimer_ = 0;
+        this->continuousResynchroTimer_ = nullptr;
 
         this->setPriority(Priority::Low);
@@ -80,5 +80,5 @@
             {
                 float damage = this->collisionDamage_ * (victim->getVelocity() - this->getVelocity()).length();
-                victim->hit(0, contactPoint, ownCollisionShape, damage);
+                victim->hit(nullptr, contactPoint, ownCollisionShape, damage);
             }
         }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.cc	(revision 10768)
@@ -43,5 +43,5 @@
         RegisterObject(SpawnPoint);
 
-        this->template_ = 0;
+        this->template_ = nullptr;
 
         if (this->getGametype())
Index: code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10768)
@@ -77,5 +77,5 @@
         this->node_ = this->getScene()->getRootSceneNode()->createChildSceneNode();
 
-        this->parent_ = 0;
+        this->parent_ = nullptr;
         this->parentID_ = OBJECTID_UNKNOWN;
         this->bDeleteWithParent_ = true;
@@ -90,5 +90,5 @@
 
         // Default behaviour does not include physics
-        this->physicalBody_   = 0;
+        this->physicalBody_   = nullptr;
         this->bPhysicsActive_ = false;
         this->bPhysicsActiveSynchronised_    = false;
@@ -498,5 +498,5 @@
     void WorldEntity::notifyDetached()
     {
-        this->parent_ = 0;
+        this->parent_ = nullptr;
         this->parentID_ = OBJECTID_UNKNOWN;
 
@@ -525,5 +525,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -856,5 +856,5 @@
             deactivatePhysics();
             delete this->physicalBody_;
-            this->physicalBody_ = 0;
+            this->physicalBody_ = nullptr;
             this->collisionType_ = None;
             this->collisionTypeSynchronised_ = None;
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 10768)
@@ -53,5 +53,5 @@
     RegisterClass(ModularSpaceShip);
 
-    std::map<StaticEntity*, ShipPart*>* ModularSpaceShip::partMap_s = 0;
+    std::map<StaticEntity*, ShipPart*>* ModularSpaceShip::partMap_s = nullptr;
 
     ModularSpaceShip::ModularSpaceShip(Context* context) : SpaceShip(context)
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10768)
@@ -76,5 +76,5 @@
         this->reloadWaitCountdown_ = 0;
 
-        this->lastHitOriginator_ = 0;
+        this->lastHitOriginator_ = nullptr;
 
         // set damage multiplier to default value 1, meaning nominal damage
@@ -91,5 +91,5 @@
         }
         else
-            this->weaponSystem_ = 0;
+            this->weaponSystem_ = nullptr;
 
         this->setRadarObjectColour(ColourValue::Red);
@@ -109,5 +109,5 @@
         else
         {
-            this->explosionSound_ = 0;
+            this->explosionSound_ = nullptr;
         }
     }
@@ -345,5 +345,5 @@
                     {
                         // delete the AIController // <-- TODO: delete? nothing is deleted here... should we delete the controller?
-                        slave->setControllableEntity(0);
+                        slave->setControllableEntity(nullptr);
 
                         // set a new master within the formation
@@ -509,5 +509,5 @@
             return this->weaponSystem_->getWeaponSlot(index);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -523,5 +523,5 @@
             return this->weaponSystem_->getWeaponSet(index);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -551,5 +551,5 @@
             return this->weaponSystem_->getWeaponPack(index);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -594,5 +594,5 @@
                 return it->getController();
         }
-        return 0;
+        return nullptr;
     }
 
